import * as _nuxt_schema from '@nuxt/schema';

interface CustomFontDescriptors {
    ascentOverride?: string;
    descentOverride?: string;
    fontDisplay?: "auto" | "block" | "fallback" | "optional" | "swap";
    featureSettings?: string;
    lineGapOverride?: string;
    fontStretch?: string;
    fontStyle?: string;
    unicodeRange?: string;
    fontTariant?: string;
}
interface CustomFontSource {
    url: string;
    format: string;
    /** Adds a preload link for this font weight */
    preload?: boolean;
    /** Adds crossorigin attribute to preload link, defaults to "anonymous" */
    crossorigin?: string;
}
interface CustomFontWeight extends CustomFontDescriptors {
    sources: CustomFontSource[];
    weight: number;
}
interface PreloadedFont {
    fontFamily: string;
    weights: CustomFontWeight[];
    /** Default options to apply to all weights */
    defaultOptions?: Omit<CustomFontWeight, "sources" | "weight">;
}
interface FontPreloadConfig {
    fonts: PreloadedFont[];
}

declare const _default: _nuxt_schema.NuxtModule<FontPreloadConfig>;
/**
 *
 */

export { _default as default };
